import { defineComponent, computed, createBlock, openBlock, withCtx, createVNode, unref } from "vue";
import { useUIKit, IconManageMember } from "@tencentcloud/uikit-base-component-vue3";
import IconButton from "../base/IconButton.vue2.mjs";
import { useRoomState } from "tuikit-atomicx-vue3/room";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  setup(__props) {
    const { t } = useUIKit();
    const { currentRoom } = useRoomState();
    const title = computed(() => {
      var _a, _b;
      if (!currentRoom.value) {
        return t("Participant.Title");
      }
      return t("Participant.Title") + `(${(((_a = currentRoom.value) == null ? void 0 : _a.participantCount) || 0) + (((_b = currentRoom.value) == null ? void 0 : _b.audienceCount) || 0)})`;
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(IconButton, { title: title.value }, {
        default: withCtx(() => [
          createVNode(unref(IconManageMember), { size: "24" })
        ]),
        _: 1
      }, 8, ["title"]);
    };
  }
});
export {
  _sfc_main as default
};
